> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phone task status

> check the status of phone tasks



## OpenAPI

````yaml get /open/api/phone/task/status
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/task/status:
    get:
      tags: []
      summary: Get phone task status
      description: check the status of phone tasks
      parameters:
        - name: operateType
          in: query
          description: 'Phone operation type: powerOn, reset, restart, renew'
          required: false
          schema:
            type: string
        - name: phoneId
          in: query
          description: Phone ID, The `Get phone list` returns the ID contained in the data.
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RPhoneTaskStatusResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    RPhoneTaskStatusResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          $ref: '#/components/schemas/PhoneTaskStatusResVO'
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    PhoneTaskStatusResVO:
      type: object
      properties:
        taskStatus:
          type: integer
          description: Phone operation task status code
        taskStatusName:
          type: string
          description: Phone operation task status name
        phoneStatus:
          type: integer
          description: Current phone status code
        phoneStatusName:
          type: string
          description: Current phone status name

````